clc;clear all;close all;


ncload SST_July_2006_daily.nc
tempS = temp;

ncload frente7_PROG_surface_daily.nc


lon_LIM = [-50 -34];%---------------limite de lon
lat_LIM = [-31 -18];%---------------limite de lat
CAX = [18 25];%---------------------caxis
ISOB = [-200 -1000];%---------------isobátas
TITLECB = '^oC';%-------------------unidade para a colorbar


load ETOPO_REMO_BR


for dia = 3:7
	dia
	Tsat = squeeze(tempS(dia,:,:));
	Tr = squeeze(temp(dia,:,:));

	
	CMD = ['!grep -a - Vetores_paperRicardo/frente7_PROG_surface_daily_',num2str(dia-1),'.txt > roms_frente.txt'];
	eval(CMD);

	ROMS = load('roms_frente.txt');
	lat_roms = ROMS(:,4);
	lon_roms = ROMS(:,5);


	figure(100),clf
	pcolor(lon,lat,Tr), shading interp, hold on
	plot(lon_roms,lat_roms,'k.');

	%pause
	%[xv,yv]=ginput;

	%xv(end+1)=xv(1);
	%yv(end+1)=yv(1);

	%IN = inpolygon(lon_roms,lat_roms,xv,yv);
	%lon_roms(IN)=[];
	%lat_roms(IN)=[];

	figure(2),clf

	m_proj('merc','longitudes',lon_LIM,'latitudes',lat_LIM); hold on
	m_pcolor(lon,lat,Tr), shading interp, caxis(CAX),cb = colorbar;
	m_gshhs_h('patch',[0 0 0], 'edgecolor',[0.4 0.4 0.4]);
	m_contour(x,y,z,ISOB,'--','color',[0.99 0.99 0.99]);
	m_grid('box','fancy','fontsize',7)
	pos=get(cb,'position');
	set(cb,'position',[.76 .15 .02 .3]);
	title(cb,TITLECB,'fontsize',8)

	%m_plot(lon_roms,lat_roms,'b.')

        m_text(-48.55,-18.6,['ROMS SST - 07/',num2str(22+dia),'/2006'],'color',[.99 .99 .99],'fontsize',11);
        m_text(-48.55,-19.1,'\it Forecast field','color',[.99 .99 .99],'fontsize',11); 

%	m_text(-48.55,-18.6,'\itSST - 07/23/2006','color',[.99 .99 .99],'fontsize',11);

	saveas(gcf,['Forecast_',num2str(dia),'_roms'],'png')

	CMD = ['!grep -a - Vetores_paperRicardo/July_2006_daily_',num2str(dia-1),'.txt > sat_frente.txt'];
	eval(CMD);

	SAT = load('sat_frente.txt');
	lat_sat = SAT(:,4);
	lon_sat = SAT(:,5);

	figure(100),clf
	pcolor(lon,lat,Tsat), shading interp, hold on
	plot(lon_sat,lat_sat,'k.');

	%pause
	%[xv,yv]=ginput;

	%xv(end+1)=xv(1);
	%yv(end+1)=yv(1);

	%IN = inpolygon(lon_sat,lat_sat,xv,yv);
        %lon_sat(IN)=[];
	%lat_sat(IN)=[];



	figure(1),clf

	m_proj('merc','longitudes',lon_LIM,'latitudes',lat_LIM); hold on
	m_pcolor(lon,lat,Tsat), shading interp, caxis(CAX),cb = colorbar;
	m_gshhs_h('patch',[0 0 0], 'edgecolor',[0.4 0.4 0.4]);
	m_contour(x,y,z,ISOB,'--','color',[0.99 0.99 0.99]);
	m_grid('box','fancy','fontsize',7)
	pos=get(cb,'position');
	set(cb,'position',[.76 .15 .02 .3]);
	title(cb,TITLECB,'fontsize',8)

	%m_plot(lon_sat,lat_sat,'k.')
	%m_plot(lon_roms,lat_roms,'b.')

        m_text(-48.55,-18.6,['Satellite SST - 07/',num2str(22+dia),'/2006'],'color',[.99 .99 .99],'fontsize',11);
%        m_text(-48.55,-19.1,'\it Nowcast field','color',[.99 .99 .99],'fontsize',11); 

%	m_text(-48.55,-18.6,'\itSST - 07/23/2006','color',[.99 .99 .99],'fontsize',11);

	saveas(gcf,['Forecast_',num2str(dia),'_sat'],'png')


        if 0
        figure(3)

	m_proj('merc','longitudes',lon_LIM,'latitudes',lat_LIM); hold on
	m_gshhs_h('patch',[0 0 0], 'edgecolor',[0.4 0.4 0.4]);
	m_contour(x,y,z,ISOB,'--','color',[0.99 0.99 0.99]);
	m_grid('box','fancy','fontsize',7)

	%m_plot(lon_roms,lat_roms,'b.')
	%m_plot(lon_sat,lat_sat,'k.')

        m_text(-48.55,-18.6,['ROMS X Satellite - 07/',num2str(22+dia),'/2006'],'color',[.99 .99 .99],'fontsize',11);
%        m_text(-48.55,-19.1,'\it Forecast field','color',[.99 .99 .99],'fontsize',11); 

%	m_text(-48.55,-18.6,'\itSST - 07/23/2006','color',[.99 .99 .99],'fontsize',11);

	saveas(gcf,['Forecast_',num2str(dia),'_comp'],'png'),clf
	end


end       

